<BsModal @fade={{false}} @onHidden={{this.onHidden}} @onShow={{this.onShow}} @open={{@visible}} as |modal|>
  {{#if @adding}}
    <div class="overlay d-flex justify-content-center align-items-center">
      <LoadingSpinner @size="4x" />
    </div>
  {{/if}}
  <BsModal::header @title="Ajouter un évenement" @closeButton={{false}} />
  <BsForm @model={{this}} as |form|>
    <modal.body>
      {{! type }}
      <form.element @controlType="power-select" @property="type" @options={{this.types}} as |el|>
        <el.control @placeholder="Type" />
      </form.element>
      {{! date }}
      {{#if this.event.type}}
        <form.element @controlType="date" @property="event.date" as |el|>
          <div class="input-group mb-3">
            <el.control />
            <div class="input-group-append">
              <div class="input-group-text">
                <FaIcon @icon="calendar-alt" />
              </div>
            </div>
          </div>
        </form.element>
        <Crypto::Form::CurrencySelector @form={{form}} @onChange={{this.setAsset}} />
        <form.element @label="Quantité" @onChange={{this.dummyAction}} as |el|>
          <el.control {{imask-currency this.event.quantity onChange=this.setQuantity}} />
        </form.element>
        <form.element @label="Total" @onChange={{this.dummyAction}} as |el|>
          <el.control {{imask-currency this.event.price "€" onChange=this.setPrice}} />
        </form.element>
        {{#if this.tickers}}
          <label>Prix des actifs au {{format-date this.event.date}}</label>
          {{#each this.tickers as |ticker|}}
            {{#if (not-eq ticker.cryptoCurrency this.event.quantity.currency)}}
              <div class="input-group flex-nowrap mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text" id="addon-wrapping">{{ticker.cryptoCurrency}}</span>
                </div>
                <input
                  type="text"
                  class="form-control"
                  placeholder="Username"
                  aria-label="Username"
                  aria-describedby="addon-wrapping"
                  {{imask-currency ticker.price "€" onChange=ticker.setPrice}}
                />
              </div>
            {{/if}}
          {{/each}}
        {{/if}}
      {{/if}}
    </modal.body>

    <modal.footer class="justify-content-between">
      <BsButton @defaultText="Fermer" @onClick={{modal.close}} @type="danger" buttonType="button" />
      <BsButton
        @defaultText="Ajouter"
        disabled={{this.cannotAdd}}
        @onClick={{fn this.addEvent modal}}
        @type="primary"
        buttonType="submit"
      />
    </modal.footer>
  </BsForm>
</BsModal>